Subject: bug#15619: M-x list-packages should also show link to homepage / source

From: Swaroop C H <[email-masked]>
Date: Tue, 15 Oct 2013 09:48:52 +0530

Hello,

I hope this is the right forum for this question, please direct me if otherwise.

When I run ~M-x list-packages~, and click on a package name, the description is usually vague on what it means, and it would be great if there was a link to the source / github link (just like the website http://melpa.milkbox.net/ displays the Source column)  so that I can understand what it actually does.

For example, ~pony-mode~ says "Minor mode for working with Django projects [github]" and that ~[github]~ doesn't actually link to anything and that description is not helpful to what it actually does.

Further examples (as pointed out by jlf on freenode.net#emacs IRC) are "lisp-editing" which says "lisp editing tools" in the description and "fuzzy-match" which says "fuzzy matching [wiki]" in the description.

This is definitely not nitpicking about those packages, but a request that there be a standard homepage / source (github, etc.) link in the description for each package, similar to how HomeBrew package manager on OS X works.

Thank you!

Regards,
Swaroop